;///////////////////////////////////////////////////////////////////////////////
;//
;//  File Name 
;//      EVENTMSG.MC
;//
;//  Description
;//      These are the messages for the event logging message ID's
;//
;//  Author
;//      Irving De la Cruz (irvingd@microsoft.com)
;//
;//  Revision: 1.1
;//
;// Written for Microsoft Corporation.
;// Copyright (c) 1996-1997 Microsoft Corporation. All rights reserved.
;
;#ifndef _EVENTMSG_H_
;#define _EVENTMSG_H_
;

LanguageNames=(English=0x409:EVENTMSG)

SeverityNames=(Success=0x0:STATUS_SEVERITY_SUCCESS
               Informational=0x1:STATUS_SEVERITY_INFORMATIONAL
               Warning=0x2:STATUS_SEVERITY_WARNING
               Error=0x3:STATUS_SEVERITY_ERROR)

;///////////////////////////////////////////////////////////////////////////////
;//  Event Log Category
;//
MessageId=1
SymbolicName=DIRMON_CATEGORY
Language=English
General Logging
.
;///////////////////////////////////////////////////////////////////////////////
;//  Informational Messages
;//
MessageId=1000
Severity=Success
SymbolicName=EVENTMSG_I_SERVICE_STARTING
Language=English
The service is starting.
.
MessageId=
Severity=Success
SymbolicName=EVENTMSG_I_SERVICE_STARTED
Language=English
The service started successfully.
.
MessageId=
Severity=Success
SymbolicName=EVENTMSG_I_SERVICE_STOPPED
Language=English
The service stopped successfully.
.
MessageId=1500
Severity=Informational
SymbolicName=EVENTMSG_I_DIR_WATCH_STARTED
Language=English
Directory watch has been started on directory %1.
.
MessageId=
Severity=Informational
SymbolicName=EVENTMSG_I_DIR_WATCH_STOPPED
Language=English
Completion port and watch threads have terminated.
.
MessageId=
Severity=Informational
SymbolicName=EVENTMSG_V_FILE_CREATED
Language=English
Notification of Change: FILE CREATED - File Name: %1.
.
MessageId=
Severity=Informational
SymbolicName=EVENTMSG_V_FILE_MODIFIED
Language=English
Notification of Change: FILE MODIFIED - File Name: %1.
.
MessageId=
Severity=Informational
SymbolicName=EVENTMSG_V_FILE_DELETED
Language=English
Notification of Change: FILE DELETED - File Name: %1
.
MessageId=
Severity=Informational
SymbolicName=EVENTMSG_V_FILE_RENAMED
Language=English
Notification of Change: FILE RENAMED - Old Name: %1   New Name %2
.
;///////////////////////////////////////////////////////////////////////////////
;//  Error Messages
;//
MessageId=2000
Severity=Error
SymbolicName=EVENTMSG_E_OPEN_REG_CONFIG_KEY
Language=English
Failed to open the registry key with the configuration information. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_TO_START_SERVICE
Language=English
Failed to start the service. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_REGISTRER_CTRL_HANDLER
Language=English
Failed to register the service controller handling function. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_NOTIFY_SCM_STARTING
Language=English
Failed to notify the service control manager that we are starting. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_CREATE_EVENT
Language=English
Failed to create a synchronization event object. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_INIT_SESSION
Language=English
Failed to initialize messaging subsystem. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_MAPILOGONEX
Language=English
Failed to logon into the messaging subsystem. MAPILogonEx() failed. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_GETMSGSTORETABLE
Language=English
Failed to get stores table. IMAPISession::GetMsgStoresTable() failed. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_HRQUERYALLROWS
Language=English
Failed to get table rows. HrQueryAllRows() failed. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_OPENMSGSTORE
Language=English
Failed to open the Exchange PF store. IMAPISession::OpenMsgStore() failed. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_HRGETONEPROP
Language=English
Failed to get the entry ID of the PF folder hierarchy. HrGetOneProp() failed. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_OPENENTRY
Language=English
Failed to open the PF hierarchy folder object. IMAPISession::OpenEntry() failed. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_CREATEFOLDER
Language=English
Failed to create the PF folder where the posting will be placed. IMAPIFolder::CreateFolder() failed. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_CREATEMESSAGE
Language=English
Failed to create message in the PF folder. IMAPIFolder::CreateMessage() failed. Error %1.
.
MessageId=
Severity=Error
SymbolicName=EVENTMSG_E_FAILED_UNICODE_TO_ANSI
Language=English
Failed to convert UNICODE string to ANSI. Error %1.
.
;
;#endif // _EVENTMSG_H_
;